<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:gzl="http://java.sun.com/jsf/composite/gazelle-tags"
                xmlns:rich="http://richfaces.org/rich">
    <rich:column breakRowBefore="#{breakRowBefore == null ? 'false' : breakRowBefore }"
                 colspan="#{colspan == null ? '1' : colspan}"
                 filterExpression="#{filterBy}"
                 filterValue="#{customSort.filterValues[filterBy]}"
                 rendered="#{rendered == null ? 'true' : rendered }"
                 rowspan="#{rowspan == null ? '1' : rowspan}"
                 style="#{style}"
                 sortBy="#{sortBy}"
                 sortOrder="#{customSort.addsort(sortBy,sortOrder)}#{customSort.sortOrders[sortBy]}"
                 sortType="custom"
                 filterType="custom"
                 styleClass="#{styleClass}"
                 width="#{width == null ? 'auto' : width}">
        <f:facet name="header">
            <ui:insert name="header"/>
            <h:commandLink rendered="#{sortBy != null}" action="#{customSort.toggleSort}">
                <f:setPropertyActionListener target="#{customSort.sortKey}" value="#{sortBy}"/>
                <a4j:ajax render="#{component.parent.parent.parent.id}"/>

                <gzl:span styleClass="gzl-icon-caret-down" rendered="#{customSort.sortOrders[sortBy] =='descending'}"/>

                <gzl:span styleClass="gzl-icon-sort" rendered="#{customSort.sortOrders[sortBy] =='unsorted'}"/>

                <gzl:span styleClass="gzl-icon-caret-up" rendered="#{customSort.sortOrders[sortBy] =='ascending'}"/>
            </h:commandLink>
            <br/>
            <h:inputText styleClass=" form-control" value="#{customSort.filterValues[filterBy]}"
                         rendered="#{filterBy != null}">
                <a4j:ajax event="keyup"
                          render="#{component.parent.parent.parent.id}@body #{component.parent.parent.parent.id}@footer"/>
            </h:inputText>
        </f:facet>
        <ui:insert/>
    </rich:column>
</ui:composition>